import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
export interface PaginationItem {
    pageIndex: number;
    label: number | string;
}
export declare class PaginationComponent implements OnChanges {
    size: string;
    btnCount: number;
    rows: number;
    pageSize: number;
    pages: number;
    currentPage: number;
    uiChange: EventEmitter<number>;
    pageList: Array<PaginationItem>;
    private get _btnLength();
    ngOnChanges(changes: SimpleChanges): void;
    onChange(currentPage: number): void;
    private setPaginationItems;
}
